N = 8; % Liczba prbek sygnau
fs = 16000; % Czstotliwo prbkowania
f = 1000; % Czstotliwo sygnau sinusoidalnego
n = [0:N-1]; % Indeksy prbek
t = n./fs; % Chwile pobierania prbek
fi0 = 0;%pi./8; % Faza pocztkowa sygnau
x = sin(2*pi*f*t + fi0); % Prbki sygnau
X = fft(x); % Wspczynniki transformaty Fouriera
% Wizualizacja wynikw
figure(1);
plot (x);
figure(2);
subplot(3, 1, 1)
stem(abs(X))
set(gca,'FontName', 'Arial CE')
title('Modu')
subplot(3, 1, 2)
stem(real(X))
set(gca,'FontName', 'Arial CE')
title('Cz rzeczywista')
subplot(3, 1, 3)
stem(imag(X))
set(gca,'FontName', 'Arial CE')
title('Cz urojona')
